Subject: Re: [PATCH] Introduce get_octopus_merge_bases() in commit.c

From: Junio C Hamano <[email-masked]>
Date: Mon, 09 Jun 2008 15:55:47 -0700

Miklos Vajna <[email-masked]> writes:

> Exactly. I modified merge_bases_many() to use a commit list.

I just looked at your f755fb6; from the point of view of merge_bases()
which is far more often used, I think this is not an improvement but
actively wrong thing to do.  Most of the time callers compute merge base
of two, and the codepath should be optimized for that case.